<ion-view cache-view="false" title="{{driver.nombre}}" can-swipe-back="false">

    <div class="drivePag">
        <div class="tab-nav tabs tabs-top tabs-background-balanced" ng-init="tab = false">
            <div class="tab-item tab-item-active" ng-click="tab = false" ng-class="{'activated': !tab}">Servicios</div>
            <div class="tab-item tab-item-active" ng-click="comoLlegar()" ng-class="{'activated': tab}">Llegar</div>
            <div class="tab-item tab-item-active" ng-click="horarios()" ng-class="{'activated': tab}"> Horario</div>
        </div>

        <ion-content class="has-tabs-top">
            <div ng-if="!tab">
                <div class="container-info">
                    <div class="list">
                        <div class="content-itemServicios" ng-style="{'background-image': (driver.imagen) ? 'url(' + cms + driver.imagen + ')' : ''}">

                            <div class="teaser-itemServicios">


                                <div class="row teaser-col1">
                                    <div class="content-direccionServicio">
                                        <label style="display: block;">{{driver.direccion}}</label>
                                    </div>
                                </div>

                                <div class="row row-center teaser-col2">

                                    <div class="col col-67">
                                        <div class="paymentMethods">
                                            <div class="textFormaP"> Forma de Pago:</div>
                                            <div class="row icons-textForma">
                                                <div class="der col col-50">
                                                    <div class="icoFormaP">
                                                        <i ng-if="driver.medio_pago.indexOf('tarjeta') > - 1" class="ion-card"></i>
                                                    </div>
                                                </div>
                                                <div class="izq col col-50">
                                                    <div class="icoFormaP">
                                                        <i ng-if="driver.medio_pago.indexOf('efectivo') > - 1" class="ion-cash"></i>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col">
                                        <div class="driveBalanced">
                                            <div class="balanced" ng-if="driver.abierto">
                                                <i class="ion-record"></i> Abierto
                                            </div>
                                            <div class="assertive" ng-if="!driver.abierto">
                                                <i class="ion-record"></i> Cerrado
                                            </div>
                                        </div>
                                        <div class="content-comentarios" ng-click="comentarios()">
                                            <a ng-class="{'activated': tab}">
                                                <span>
                                                    <i class="icon ion-chatbubbles"></i>
                                                    <p>Comentarios</p>
                                                </span>
                                            </a>
                                        </div>
                                    </div>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>

            <div>
                <ion-list>
                    <ion-item class="item-input-inset">
                        <label class="item-input-wrapper">
                            <input type="text" placeholder="Busca aquí" ng-model="driver.search.nombre">
                        </label>
                    </ion-item>
                </ion-list>
            </div>

            <div class="container-accordion">
                <div class="teaser-tipoServicio">
                    <div class="list">
                        <div class="item-accordion item item-thumbnail-left" ng-repeat="item in driver.servicios | orderBy:'posicion' | filter:driver.search"
                            ng-end>
                            <img ng-style="{display: (item.imagen || item.imagen != '') ? 'block' : 'none'}" ng-src="{{cms}}{{item.imagen}}" class="image"
                            />
                            <div class="content-item-accordion" ng-init="item.mas = false">
                                <div class="itemAccordionText">
                                    <h2>{{item.nombre}}</h2>
                                    <p ng-class="{'mmas': item.mas}">{{item.descripcion}}</p>
                                    <h3 ng-if="!item.mas" ng-click="item.mas = !item.mas" style="text-align: center">
                                        <i class="icon ion-plus"></i> Más información</h3>
                                    <h3 ng-if="item.mas" ng-click="item.mas = !item.mas" style="text-align: center">
                                        <i class="icon ion-minus"></i> Menos información</h3>
                                </div>
                                <div class="itemAccordionBtn">
                                    <div class="content-costo">
                                        <h2 ng-show="item.precio">{{item.precio?'$'+currencyValue(item.precio):'-'}}</h2>
                                        <h2 ng-show="item.descuento"><span></span>{{item.descuento}}%</h2>
                                    </div>
                                    <button class="button button-small button-calm" ng-if="item.tipo == 'solicitar'" ng-click="solicitar(item)">Solicitar</button>
                                    <button class="button button-small button-calm" ng-if="item.tipo == 'agendar'" ng-click="agendar(item)">Agendar</button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>


            <div class="starRating" ng-if="tab">

                <div class="content-starRating">
                    <div class="list-star">
                        <i class="positive icon" ng-class="(driver.puntaje.votos >= 1) ? 'ion-ios-star' : 'ion-ios-star-outline'"></i>
                        <i class="positive icon" ng-class="(driver.puntaje.votos >= 2) ? 'ion-ios-star' : 'ion-ios-star-outline'"></i>
                        <i class="positive icon" ng-class="(driver.puntaje.votos >= 3) ? 'ion-ios-star' : 'ion-ios-star-outline'"></i>
                        <i class="positive icon" ng-class="(driver.puntaje.votos >= 4) ? 'ion-ios-star' : 'ion-ios-star-outline'"></i>
                        <i class="positive icon" ng-class="(driver.puntaje.votos >= 5) ? 'ion-ios-star' : 'ion-ios-star-outline'"></i>
                    </div>
                    <div class="positive">{{driver.puntaje.votos}} Calificaciones</div>
                </div>

                <div class="comentarios">
                    <div class="list">
                        <a class="item" ng-repeat="comment in driver.comentarios">
                            <p>{{comment.contenido}}</p>
                        </a>
                    </div>
                </div>

            </div>

        </ion-content>
    </div>

</ion-view>